declare const _sfc_main: import("vue").DefineComponent<{
    theme: {
        type: StringConstructor;
        default: string;
    };
    drillingMode: {
        type: StringConstructor;
        default: string;
    };
    pageMode: {
        type: StringConstructor;
        default: string;
    };
    scaleValue: {
        type: ObjectConstructor;
        default: () => {};
    };
    pivotTableFontSize: {
        type: NumberConstructor;
        default: number;
    };
    width: {
        type: StringConstructor;
        default: string;
    };
    drillDetailUrl: {
        type: StringConstructor;
        default: string;
    };
    isShowMask: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    indDetailInfo: {
        keyName: string;
        visible: boolean;
        dataSource: any[];
        columns: any[];
        title: string;
    };
    pivotTableConfig: any;
    pivotTableStyle: import("vue").ComputedRef<{
        width: any;
        height: any;
    }>;
    detailBodyStyle: import("vue").ComputedRef<{
        padding: string;
        height?: undefined;
        overflow?: undefined;
        paddingTop?: undefined;
    } | {
        height: string;
        overflow: string;
        paddingTop: number;
        padding?: undefined;
    } | {
        paddingTop: number;
        padding?: undefined;
        height?: undefined;
        overflow?: undefined;
    } | {
        padding?: undefined;
        height?: undefined;
        overflow?: undefined;
        paddingTop?: undefined;
    }>;
    wrapClassName: import("vue").ComputedRef<string>;
    isIndFullScreen: import("vue").Ref<boolean>;
    isMobile: boolean;
    conditionInfo: import("vue").Ref<any[]>;
    indicatorUrl: import("vue").ComputedRef<any>;
    allDimensions: import("vue").Ref<any[]>;
    requestLoading: import("vue").Ref<boolean>;
    isLoadedTable: import("vue").Ref<boolean>;
    pivotTableRef: import("vue").Ref<any>;
    lastDetailRef: import("vue").Ref<any>;
    subDrillModalRef: import("vue").Ref<any>;
    theDateInfo: any;
    isShowSubDrillModal: import("vue").Ref<boolean>;
    normalTableUnits: import("vue").Ref<{}>;
    drillConditions: import("vue").ComputedRef<{
        label: any;
        typeGuid: any;
        rule: any;
        value: any;
    }[]>;
    allComponentList: any[];
    tableFontSize: import("vue").ComputedRef<string>;
    miniFontSize: import("vue").ComputedRef<string>;
    tableScroll: any;
    tableRef: import("vue").Ref<any>;
    summaryList: import("vue").Ref<any[]>;
    summaryHeight: import("vue").Ref<number>;
    isShowDetailMpdal: import("vue").Ref<boolean>;
    defaultValue: string;
    pagination: {
        current: number;
        pageSize: number;
        total: number;
        showSizeChanger: boolean;
        showQuickJumper: boolean;
        showLessItems: boolean;
        showTotal: (total: number) => string;
    };
    searchLoading: import("vue").Ref<boolean>;
    downloading: import("vue").Ref<boolean>;
    dropDownMenuStyle: import("vue").Ref<{}>;
    dropDownMenuVisible: import("vue").Ref<boolean>;
    toBeSelectedDims: any;
    unitMap: any;
    getContainer: () => Element;
    toggleFullScreen: () => void;
    onDetailCancel: () => void;
    onPivotTableChange: ({ type, data }: {
        type: any;
        data: any;
    }) => void;
    handlePageChange: (current: number, pageSize: number) => void;
    handleTableChange: (_page: any, _filters: any, sorter: any) => void;
    onCloseDetailModal: () => void;
    onCloseModal: () => void;
    getCalcLabel: (title: string) => string;
    formatMainCell: (text: any, column: any) => any;
    formatCellPercent: (text: any, column: any) => string;
    handleExport: () => Promise<void>;
    drillByDimension: (event: any, typeGuid: string) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    theme: {
        type: StringConstructor;
        default: string;
    };
    drillingMode: {
        type: StringConstructor;
        default: string;
    };
    pageMode: {
        type: StringConstructor;
        default: string;
    };
    scaleValue: {
        type: ObjectConstructor;
        default: () => {};
    };
    pivotTableFontSize: {
        type: NumberConstructor;
        default: number;
    };
    width: {
        type: StringConstructor;
        default: string;
    };
    drillDetailUrl: {
        type: StringConstructor;
        default: string;
    };
    isShowMask: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    pageMode: string;
    width: string;
    theme: string;
    scaleValue: Record<string, any>;
    drillingMode: string;
    pivotTableFontSize: number;
    drillDetailUrl: string;
    isShowMask: boolean;
}>;
export default _sfc_main;
